//Copyright (C) 2007 SiegeLord
//See ReadMe.txt and License.txt for copying information

#pragma once
#include "objectex.h"

struct STrail;
struct SThrusterParticleHolder;

struct SRocket : SObjectEx
{
	SRocket()
	{
		type = rocket_type;
		dead = false;
	}

	virtual ~SRocket();
	virtual int Handle();
	virtual void Draw();

	int target_ship_id;
	vector2d target_loc;

	vector2d velocity;

	SThrusterParticleHolder* thruster;
	STrail* trail;

	float max_speed;
	float max_life;

	float accel;
	float life;

	float min_damage;
	float max_damage;

	SBitmap* image;
};

SRocket* CreateRocket(SObject* parent, vector2d& start_pos, vector2d& direction, vector2d& destination, int ship_id);
